View Issue Details

IDProjectCategoryView StatusLast Update
06995Development [All Projects] Survey takingpublic2015-08-21 15:51
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.1 
Target VersionFixed in Version2.1 
Summary06995: Unable to do survey with token
Description

At the second page of a survey with token:
Fatal error: Call to undefined method stdClass::loadAnswer() in /home/sondages.pro/htdocs/limesurvey_GIT/dev/application/helpers/frontend_helper.php on line 114

Steps To Reproduce

Create a survey with 3 groupe, add token set survey to not anonymous (don't test with anonymous), and test.

Additional Information

I try some change in frontend_helper / loadanswers function.

But if i put:
elseif ($column == "startdate")
at line 105: then don't go to nextstep.

Then, there are other things.

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2012-11-30 11:24

developer   ~22732

With:
git reset --hard 2abb86fc28f57dc4f6c5a476d71398cd1c8e03b3
(http://git.io/rvJFPg)

have Fatal error: Cannot use object of type stdClass as array in /home/sondages.pro/htdocs/limesurvey_GIT/dev/application/helpers/frontend_helper.php on line 2026

DenisChenu

DenisChenu

2012-12-02 00:41

developer   ~22795

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10649

Related Changesets

LimeSurvey: 2.1 9c81764f

2012-12-01 23:40:00

DenisChenu

Details Diff
Fixed issue 06995: Unable to do survey with token
Dev: just an 1.92 session var ...
Affected Issues
06995
mod - application/controllers/survey/index.php Diff File

Issue History

Date Modified Username Field Change
2012-11-30 11:19 DenisChenu New Issue
2012-11-30 11:24 DenisChenu Note Added: 22732
2012-12-02 00:41 DenisChenu Changeset attached => LimeSurvey 2.1 9c81764f
2012-12-02 00:41 DenisChenu Note Added: 22795
2012-12-02 00:41 DenisChenu Assigned To => DenisChenu
2012-12-02 00:41 DenisChenu Resolution open => fixed
2012-12-02 00:42 DenisChenu Status new => resolved
2012-12-02 00:42 DenisChenu Fixed in Version => 2.1
2015-08-21 15:51 c_schmitz Status resolved => closed